Pipeline Jobs API

Create and track conversion jobs in Vuframe® Pipeline (formerly Aura™ Jobs API).

vv1.0.0Download aura-jobs-api.yml

Aura™️ on Aura Rails

Servers

  • https://aura.vuframe.com/api/v1 Production SmartVu API

Authentication

basicAuth HTTP basic

Endpoints

Jobs

Queue new Aura Job

POST/jobs

Authentication basicAuth

Queue new Aura Job

Request body required

Content type application/json

FieldTypeDescription
source_urlstringSource AWS presigned URL
assets_urlstringAssets AWS presigned URL
job_typestringJob Type
callback_urlstringCallback URL
update_callback_urlstringUpdate Callback URL
owner_tokenstringStudio Owner Token
pipeline_configConfigObject
pipeline_config.api_versionnumberAPI version
pipeline_config.studio_owner_tokenstringStudio Owner Token
pipeline_config.main_file_namestringCurrently not implemented. Name of the main file. This option is needed to set the main file that includes other files within. We need this behavior for uploads of zip Archives (e.g. CATIA, Solidworks)
pipeline_config.scalenumberScale of 3D Model in float
pipeline_config.rotate_xnumberX value of rotation in float
pipeline_config.rotate_ynumberY value of rotation in float
pipeline_config.rotate_znumberZ value of rotation in float
pipeline_config.positioning_xstringX value of positioning ("MIN|CENTER|MAX")
pipeline_config.positioning_ystringX value of positioning ("MIN|CENTER|MAX")
pipeline_config.positioning_zstringX value of positioning ("MIN|CENTER|MAX")
pipeline_config.offset_xnumberX value of offset in meter (Unity standard)
pipeline_config.offset_ynumberX value of offset in meter (Unity standard)
pipeline_config.offset_znumberX value of offset in meter (Unity standard)
pipeline_config.flip_xbooleanShould flip 3D model on X axis?
pipeline_config.flip_ybooleanShould flip 3D model on Y axis?
pipeline_config.flip_zbooleanShould flip 3D model on Z axis?
pipeline_config.limit_uv_coordinates_for_seambooleanLimits the v-value for UV coordinates to 0.99 or lower for all objects whose name starts with the word "Seam". This is a customer-specific fix for Olymp.
pipeline_config.environment_assetobject
pipeline_config.environment_asset.tokenstring
pipeline_config.environment_asset.uristringURI with AWS URI or file uri
pipeline_config.addon_assetsarray of object
pipeline_config.addon_assets[].tokenstring
pipeline_config.addon_assets[].uristringURI with AWS URI or file uri
pipeline_config.ambient_occlusionAmbientOcclusionObjectAmbient Occlusion Settings. Currently only available for frontend.
pipeline_config.ambient_occlusion.enabledbooleanHas Ambient Occlusion enabled?
pipeline_config.ambient_occlusion.radiusnumberRadius of Ambient Occlusion in float
pipeline_config.ambient_occlusion.intensitynumberIntensity of Ambient Occlusion in float
pipeline_config.hotspotsarray of HotspotObject
pipeline_config.hotspots[].versionnumberversion of hotspot that describes the used Aura 3D / Hotspot Editor version
pipeline_config.hotspots[].namestringstring-identifier <ist bei source UPLOAD oder GENERATED read-only> // bei EDITOR sluggified title
pipeline_config.hotspots[].titlestringhuman-readable name
pipeline_config.hotspots[].descriptionstringused sometimes in apps
pipeline_config.hotspots[].pathstring/bla/blu/id <read-only>
pipeline_config.hotspots[].sourcestringUPLOAD, GENERATED, EDITOR <read-only>
pipeline_config.hotspots[].source_resource_versionnumberversion number of resource in which the hotspots was added
pipeline_config.hotspots[].changed_in_editorbooleantrue|false
pipeline_config.hotspots[].removedbooleantrue|false
pipeline_config.hotspots[].removed_bystring<from_resource,in_editor>
pipeline_config.hotspots[].positionXYZObject
pipeline_config.hotspots[].position.xnumberX float
pipeline_config.hotspots[].position.ynumberY float
pipeline_config.hotspots[].position.znumberZ float
pipeline_config.hotspots[].rotationXYZObject
pipeline_config.hotspots[].rotation.xnumberX float
pipeline_config.hotspots[].rotation.ynumberY float
pipeline_config.hotspots[].rotation.znumberZ float
pipeline_config.hotspots[].is_billboardbooleanIs billboarding activated? This will overwrite rotation if set to true. Default: false.
pipeline_config.hotspots[].typestringEGO | EVENT
pipeline_config.hotspots[].texturestring<image item token>
pipeline_config.hotspots[].colorstringr,g.b,a | hex
pipeline_config.hotspots[].sizenumberfloat
pipeline_config.ground_shadowbooleanShould ground shadows get created? Default: false.
pipeline_config.generate_shadowstringOptions for shadow generation. Only included in Frontend. One of: "off", "floor_shadow_only", "full_shadow". Default: "off".
pipeline_config.uv_generationstringOptions for UV generation. Only included in Frontend. One of: "off", "missing_only", "force". Default: "off".
pipeline_config.pipeline_optimizationbooleanEnables pipeline optimization. Default: false.
Example
{
  "source_url": "string",
  "assets_url": "string",
  "job_type": "string",
  "callback_url": "string",
  "update_callback_url": "string",
  "owner_token": "string",
  "pipeline_config": {
    "api_version": 0,
    "studio_owner_token": "string",
    "main_file_name": "string",
    "scale": 0,
    "rotate_x": 0,
    "rotate_y": 0,
    "rotate_z": 0,
    "positioning_x": "string",
    "positioning_y": "string",
    "positioning_z": "string",
    "offset_x": 0,
    "offset_y": 0,
    "offset_z": 0,
    "flip_x": true,
    "flip_y": true,
    "flip_z": true,
    "limit_uv_coordinates_for_seam": true,
    "environment_asset": {
      "token": "string",
      "uri": "string"
    },
    "addon_assets": [
      {
        "token": "string",
        "uri": "string"
      }
    ],
    "ambient_occlusion": {
      "enabled": true,
      "radius": 0,
      "intensity": 0
    },
    "hotspots": [
      {
        "version": 0,
        "name": "string",
        "title": "string",
        "description": "string",
        "path": "string",
        "source": "string",
        "source_resource_version": 0,
        "changed_in_editor": true,
        "removed": true,
        "removed_by": "string",
        "position": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "rotation": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "is_billboard": false,
        "type": "string",
        "texture": "string",
        "color": "string",
        "size": 0
      }
    ],
    "ground_shadow": false,
    "generate_shadow": "off",
    "uv_generation": "off",
    "pipeline_optimization": false
  }
}

Responses

204successful operation

No body.

405Invalid input

No body.

Example request
curl -X POST "https://aura.vuframe.com/api/v1/jobs" \
  -u "USER:PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{"source_url":"string","assets_url":"string","job_type":"string","callback_url":"string","update_callback_url":"string","owner_token":"string","pipeline_config":{"api_version":0,"studio_owner_token":"string","main_file_name":"string","scale":0,"rotate_x":0,"rotate_y":0,"rotate_z":0,"positioning_x":"string","positioning_y":"string","positioning_z":"string","offset_x":0,"offset_y":0,"offset_z":0,"flip_x":true,"flip_y":true,"flip_z":true,"limit_uv_coordinates_for_seam":true,"environment_asset":{"token":"string","uri":"string"},"addon_assets":[{"token":"string","uri":"string"}],"ambient_occlusion":{"enabled":true,"radius":0,"intensity":0},"hotspots":[{"version":0,"name":"string","title":"string","description":"string","path":"string","source":"string","source_resource_version":0,"changed_in_editor":true,"removed":true,"removed_by":"string","position":{"x":0,"y":0,"z":0},"rotation":{"x":0,"y":0,"z":0},"is_billboard":false,"type":"string","texture":"string","color":"string","size":0}],"ground_shadow":false,"generate_shadow":"off","uv_generation":"off","pipeline_optimization":false}}'